package com.pj.tb_import_goods;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_import_goods -- 进口申报单商品信息
 * @author lbl
 */
@RestController
@RequestMapping("/TbImportGoods/")
public class TbImportGoodsController {

	/** 底层 Service 对象 */
	@Autowired
	TbImportGoodsService tbImportGoodsService;

	/** 增 */
	@RequestMapping("add")
	@SaCheckPermission(TbImportGoods.PERMISSION_CODE_ADD)
	public AjaxJson add(TbImportGoods t){
		tbImportGoodsService.add(t);
		t = tbImportGoodsService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */
	@RequestMapping("delete")
	@SaCheckPermission(TbImportGoods.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbImportGoodsService.delete(id);
		return AjaxJson.getSuccess();
	}

	/** 删 - 根据id列表 */
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbImportGoods.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class);
		int line = SP.publicMapper.deleteByIds(TbImportGoods.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}

	/** 改 */
	@RequestMapping("update")
	@SaCheckPermission(TbImportGoods.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbImportGoods t){
		tbImportGoodsService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */
	@RequestMapping("getById")
		@SaCheckPermission(TbImportGoods.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbImportGoods t = tbImportGoodsService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getList")
		@SaCheckPermission(TbImportGoods.PERMISSION_CODE)
	public AjaxJson getList() {
		SoMap so = SoMap.getRequestSoMap();
		List<TbImportGoods> list = tbImportGoodsService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}









}
